<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryBTreeDatabase..::.PrefixCompare Property
SecondaryBTreeDatabase Class See Also Send Feedback

The Btree prefix function. The prefix function is used to determine the amount by which keys stored on the Btree internal pages can be safely truncated without losing their uniqueness.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public EntryPrefixComparisonDelegate PrefixCompare { get; private set; }

Visual Basic (Declaration)

    Public Property PrefixCompare As EntryPrefixComparisonDelegate

Visual C++

    public:
    property EntryPrefixComparisonDelegate^ PrefixCompare {
    	EntryPrefixComparisonDelegate^ get ();
    	void set (EntryPrefixComparisonDelegate^ value);
    }

# See Also

SecondaryBTreeDatabase Class
BerkeleyDB Namespace